diff --git a/buglist b/buglist
index 1275e56..52faf53 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7254: 
+bug 7255: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,32 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7254: f==n+->sum(sum(1/i,i=1..j),j=1..n) complains
+
+f==n+->sum(sum(1/i,i=1..j),j=1..n)
+                                                                   Type: Void
+(2) -> f(1)
+   There are 6 exposed and 2 unexposed library operations named sum 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                               )display op sum
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+   Cannot find a definition or applicable library operation named sum 
+      with argument type(s) 
+          Union(Fraction(Polynomial(Integer)),Expression(Integer))
+                       SegmentBinding(PositiveInteger)
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+   AXIOM will attempt to step through and interpret the code.
+
+   (2)  1
+                                                    Type: Expression(Integer)
+(3) -> 
+
+=========================================================================
 bug 7253: There are no library operations named 'when'
 
 (1) -> ch : Integer -> UnivariatePolynomial(x,FRAC(INT))
diff --git a/changelog b/changelog
index 1e3048e..dc3e2a5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140614 tpd src/axiom-website/patches.html 20140614.03.tpd.patch
+20140614 tpd buglist bug 7254: f==n+->sum(sum(1/i,i=1..j),j=1..n) complains
 20140614 tpd src/axiom-website/patches.html 20140614.02.tpd.patch
 20140614 tpd buglist bug 7253: There are no library operations named 'when'
 20140614 tpd src/axiom-website/patches.html 20140614.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2c375bd..8d66706 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4450,6 +4450,8 @@ buglist bug 7249: radicalSolve(z^7=1, z) update
 buglist bug 7252: argument(-%i)
 <a href="patches/20140614.02.tpd.patch">20140614.02.tpd.patch</a>
 buglist bug 7253: There are no library operations named 'when'
+<a href="patches/20140614.03.tpd.patch">20140614.03.tpd.patch</a>
+buglist bug 7254: f==n+->sum(sum(1/i,i=1..j),j=1..n) complains
  </body>
 </html>
 
